Name:            pianobooster
Summary:         A MIDI file player that teaches you how to play the piano
Version:         0.6.4b
Release:         %mkrel 2
License:         GPLv3+
Group:           Sound
URL:             http://pianobooster.sourceforge.net/
Source0:         http://downloads.sourceforge.net/%{name}/%{name}-src-%{version}.tar.xz
Patch0:          pianobooster-0.6.4b-explicit-linking.patch
BuildRoot:       %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:   cmake
BuildRequires:   qt4-devel
BuildRequires:   desktop-file-utils
BuildRequires:   alsa-lib-devel
BuildRequires:   mesaglu-devel

%description
A MIDI file player/game that displays the musical notes AND teaches you how
to play the piano. 

PianoBooster is a fun way of playing along with a musical accompaniment and
at the same time learning the basics of reading musical notation.
The difference between playing along to a CD or a standard MIDI file
is that PianoBooster listens and reacts to what you are playing on a
MIDI keyboard.


%prep
%setup -q -n %{name}-src-%{version}
%patch0 -p1 -b .linkpthread

sed -e 's|\r||g' README.txt > README.txt.tmp
touch -r README.txt README.txt.tmp
mv README.txt.tmp README.txt

sed -e 's|\r||g' license.txt > license.txt.tmp
touch -r license.txt license.txt.tmp
mv license.txt.tmp license.txt

find -name '*.cpp' -exec chmod a-x {} \;
find -name '*.h' -exec chmod a-x {} \;

sed -i s/'\-mwindows'/''/ src/CMakeLists.txt

%build
%cmake ../src
%make 


%install
rm -rf $RPM_BUILD_ROOT
pushd build
install -d $RPM_BUILD_ROOT/%{_bindir}
install %{name} $RPM_BUILD_ROOT/%{_bindir}
popd

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Piano Booster
Comment=A MIDI file player that teaches you how to play the piano
GenericName=Piano Teacher
Exec=pianobooster
Icon=pianobooster
Terminal=false
Type=Application
Categories=AudioVideo;Music;X-MandrivaLinux-Multimedia-Sound;
EOF


install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps
install -m 644 -p src/images/Logo32x32.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps
install -m 644 -p src/images/logo64x64.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc license.txt gplv3.txt README.txt
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/*


%changelog
* Sat Jan 03 2015 bb <bb> 0.6.4b-1pclos2015
- fix source file to tar.xz

* Sat Dec 20 2014 gseaman <galen.seaman at comcast.net> 0.6.4b-1gseaman2014
- build for PCLinuxOS from Mageia
